Advisory Details

June 21st, 2024

(Pwn2Own) Ubiquiti Networks EV Station changeUserPassword Missing Authentication Remote Code Execution Vulnerability

ZDI-24-879
ZDI-CAN-23186

CVE ID CVE-2024-29208
CVSS SCORE 8.8, AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
AFFECTED VENDORS Ubiquiti Networks
AFFECTED PRODUCTS EV Station
VULNERABILITY DETAILS

This vulnerability allows network-adjacent attackers to execute arbitrary code on affected installations of Ubiquiti Networks EV Station. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the password change functionality. The issue results from the lack of proper validation of the old password before setting a new password. An attacker can leverage this vulnerability to execute code in the context of the device.

ADDITIONAL DETAILS Ubiquiti Networks has issued an update to correct this vulnerability. More details can be found at:
https://community.ui.com/releases/Security-Advisory-bulletin-039-039/44e24007-2c2c-4ac0-bebf-3f19b9b24f09
DISCLOSURE TIMELINE
  • 2024-02-02 - Vulnerability reported to vendor
  • 2024-06-21 - Coordinated public release of advisory
  • 2024-07-01 - Advisory Updated
CREDIT Synacktiv (@Synacktiv)
BACK TO ADVISORIES